<?php
/**
 * @package SJ Zoo Categories II
 * @version 1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2009-2011 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://smartaddons.com
 *
 */

defined('_JEXEC') or die('Restricted access');

$mod_width 			= intval($options->module_width);
$mod_style_width 	= $mod_width>0 ? "style=\"width:{$mod_width}px;\"" : ""

?>
<?php if (!empty( $options->pretext )): ?>
	<div class="sj_introtext" <?php echo $mod_style_width; ?>><?php echo $options->pretext; ?></div>
<?php endif; ?>

<?php if (!empty($data)): ?>
	<div id="category_<?php echo $instance; ?>" class="sj_category <?php echo $options->theme; ?>" <?php echo $mod_style_width; ?>>
		<?php require JModuleHelper::getLayoutPath( $module->module, $options->theme ); ?>
	</div>
<?php else: ?>
	<p><?php echo JText::_('There are no articles matching the selection. Empty category will not display!'); ?></p>
<?php endif; ?>

<?php if (!empty( $options->posttext )): ?>
	<div class="sj_footertext" <?php echo $mod_style_width; ?>><?php echo $options->posttext; ?></div>
<?php endif; ?>