<?php
/**
 * @package Sj Categories II for Zoo
 * @version 1.1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

$widthLi			= 170;
$rigthArrowWidth	= 11;
$paddingLeftRight	= 30;
$itemWidth			= (int) (($options->module_width/$options->columns_max)-$paddingLeftRight);
$max_width_tooltip		= $options->columns_max_level2*$widthLi;
$addingItemWidth	= $options->module_width - ($itemWidth+$paddingLeftRight)*$options->columns_max;
$options=$params->toObject();

$big_image_config = array(
    'type' => $params->get('imgcfgcat_type'),
    'width' => $params->get('imgcfgcat_width'),
    'height' => $params->get('imgcfgcat_height'),
    'quality' => 90,
    'function' => ($params->get('imgcfgcat_function') == 'none') ? null : 'resize',
    'function_mode' => ($params->get('imgcfgcat_function') == 'none') ? null : substr($params->get('imgcfgcat_function'), 7),
    'transparency' => $params->get('imgcfgcat_transparency', 1) ? true : false,
    'background' => $params->get('imgcfgcat_background')
);

?>

<div class="sj_section_wrap sj_clearfix">
	<?php $intOrder	= 0; ?>
	<?php foreach ($list as $item): ?>
		<?php $intOrder	++;?>
		<?php if (($intOrder % $options->columns_max ==1) || $options->columns_max==1){?>
			<div style="width: 100%; height: 100%; float: left;">
		<?php } ?>
		<div class="theme1_root_item" style="width: <?php echo ($intOrder % $options->columns_max ==1 ?  ($itemWidth+$addingItemWidth) :  $itemWidth);?>px;">
            <a href="<?php echo $item->link;?>"  title="<?php echo $item->name;?>" alt="<?php echo $item->name;?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> >
				<span class="theme1_root_title">
					<?php echo ZooCategoriesIIHelper::truncate($item->name, $options->title_max_chars);?>
				</span>
			</a>

			<div class="theme1_root_image">
				<div class="c2-root-image"  style="width:<?php echo $options->imgcfgcat_width ?>px;height:<?php echo $options->imgcfgcat_height ?>px;overflow:hidden;" >
					<?php $cat_img = ZooCategoriesIIHelper::getCZooImage($item,$params); if($cat_img)  { ?>
                        <img
                            src="<?php echo ZooCategoriesIIHelper::imageSrc($cat_img, $big_image_config); ?>"
                            title="<?php echo $item->name; ?>" alt="<?php echo $item->name; ?>"/>
                    <?php } ?>
				</div>
			</div>

			<div class="theme1_root_list_child">
			 <?php if(!empty($item->child_category1)){ ?>
				<ul id="subMenu<?php echo $intOrder; ?>">
					<?php $intLiLev1 = 0;?>

					<?php foreach($item->child_category1 as $catLev2){ ?>
						<?php 
							$intLiLev1++; 
							if ($intLiLev1 > $options->max_item_lev1)
								$attr	= 'style="display:none;" title="1"';
							else
								$attr	= ' title="0"';
						?>
						<li class="theme1_level1_li" <?php echo $attr;?> >
                            <?php if (!empty($item->child_category1) && $catLev2->number_child_category2 > 0){ ?>
								<?php 
									if ( $catLev2->number_child_category2 < $options->columns_max_level2){
										$width_tooltip		= count($item->child_category1)*$widthLi;
									} else {
										$width_tooltip		= $max_width_tooltip;
									}
								?>

								<div class="tooltip_lev1" style="width: <?php echo ($rigthArrowWidth+$width_tooltip);?>px;">
									<div class="arrow_right_lev1" ></div>
									<div class="level2_list" style="width: <?php echo $width_tooltip;?>px;">
										<ul class="level2_ul" >
											<?php foreach($catLev2->child_category2 as $catLev3){ ?>
												<li class="theme1_level2_li">
													<?php if (!empty($catLev3->child_category3) && $catLev3->number_child_category3 > 0){ ?>
														<div class="tooltip_lev2" >
															<div class="arrow_right_lev2">
															</div>
															<div class="level3_list">
																<ul class="level3_ul">
																	<?php foreach($catLev3->child_category3 as $catLev4){ ?>
																		<li class="theme1_level3_li">
																			<a href="<?php echo $catLev4->link;?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?>>
																				<span class="theme1_menu_lev3_bg"></span>
																				<span class="theme1_menu_lev3">
																					<img src="<?php echo JURI::base().'modules/mod_sj_zoo_categories_ii/assets/images/theme1_li_level3.png';?>" class="theme1_img_li_lev3" alt="image" />
																					<span class="theme1_menu_lev3_title">
																						<?php echo ZooCategoriesIIHelper::truncate($catLev4->name, $options->title_max_chars);?>
																					</span>
																				</span>
																			</a>
																		</li>
																	<?php } ?>
																</ul>
															</div>
														</div>
													<?php } ?>
                                                        <a href="<?php echo $catLev3->link;?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> title="<?php echo $catLev3->name;?>">
														<span class="theme1_wrap_li_lev2">
																<span class="theme1_bg_li_lev2"></span>
																<span class="theme1_menu_lev2">
																		<img src="<?php echo JURI::base().'modules/mod_sj_zoo_categories_ii/assets/images/theme1_li_level2.png';?>" class="theme1_img_li_lev2" alt="image" />
																		<span class="theme1_menu_lev2_title">
                                                                                <?php echo ZooCategoriesIIHelper::truncate($catLev3->name, $options->title_max_chars);?>
																		</span>
																</span>
														</span>
													</a>
												</li>
											<?php } ?>
										</ul>
                                    </div>
								</div>
                            <?php } ?>

                                <a href="<?php echo $catLev2->link; ?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> title="<?php echo $catLev2->name;?>">
                                        <span class="theme1_menu_lev1">
                                            <img src="<?php echo JURI::base().'modules/mod_sj_zoo_categories_ii/assets/images/li_level1.png';?>" class="theme1_img_li_lev1" alt="image" />
                                                <img src="<?php echo JURI::base().'modules/mod_sj_zoo_categories_ii/assets/images/li_level1_hover.png';?>" class="theme1_img_li_lev1_active" alt="image" />
                                                <span class="theme1_menu_lev1_title" ><?php echo ZooCategoriesIIHelper::truncate($catLev2->name, $options->title_max_chars);?></span>
                                        </span>
                                </a>
						</li>
					<?php } ?>
				</ul>
				<?php } ?>
				<?php if(isset($item->child_category1) && count($item->child_category1)> $options->max_item_lev1){ ?>
				<div class="theme1_button">
					<div class="theme1_button_left"></div>
					<?php $button_text = explode("/", $options->more_hide);?>
					<div class="theme1_button_center" style="max-width:<?php echo $itemWidth - 30 ?>px;">
						<?php echo $button_text[0];?>
					</div>
					<div class="theme1_button_center_less" style="max-width:<?php echo $itemWidth - 30 ?>px;" >
						<?php echo $button_text[1];?>
					</div>
					<div class="theme1_button_right"></div>
				</div>
				<?php }?>
			</div>
		</div>
		<?php if ($intOrder % $options->columns_max ==0){?> 
			</div>
		<?php } ?>
	<?php endforeach; ?>
	<?php if ($intOrder % $options->columns_max !=0){ ?>
		<?php echo 	'</div>'; ?>
	<?php } ?>
</div>