<?php
/**
 * @package Sj Categories II for VirtueMart
 * @version 2.1.1
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

$widthImage			= $options->module_width - (180+8+4);
$urlFirstImage		= "";
$max_image_width	= $options->imgcfgcat_width;
if ( $max_image_width > ($options->module_width - 190))
    $max_image_width	= $options->module_width - 190;
$big_image_config['output_width'] = $max_image_width;
$cat_img = '';
?>

<div class="sj_section_wrap sj_clearfix">
    <div class="theme2_menu_left" id="theme2_menu_category_<?php echo $instance;?>" style="height: <?php echo ($options->imgcfgcat_height-4);?>px; ">
        <ul>
            <?php $intData	= 0;?>
            <?php foreach ($list as $root): ?>
                <?php
                $intData++;
                if ( $intData==1){
                    $cat_img = ZooCategoriesIIHelper::getCZooImage($root, $params);
                }
                ?>
                <li class="theme2_root_li" >
                    <?php $_img = ZooCategoriesIIHelper::getCZooImage($root, $params);?>
                    <div class="theme2_title_root" title="<?php echo JURI::base().'/'.ZooCategoriesIIHelper::imageSrc($_img, $big_image_config);?>">
                        <div class="theme2_menu_root" >
                            <img src="<?php echo JURI::base().'modules/mod_sj_zoo_categories_ii/assets/images/li_level1.png';?>" class="theme2_img_li_root" alt="image" />
                            <img src="<?php echo JURI::base().'modules/mod_sj_zoo_categories_ii/assets/images/li_level1_hover.png';?>" class="theme2_img_li_root_active" alt="image" />
                            <a href="<?php echo $root->link;?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> title="<?php echo $root->name;?>">
                                    <span class="theme2_menu_root_title" >
                                        <?php echo ZooCategoriesIIHelper::truncate($root->name, $options->title_max_chars); ?>
                                    </span>
                            </a>
                        </div>
                    </div>

                    <?php if (!empty($root->child_category1) && $root->number_child_category1 > 0){ ?>
                        <div class="theme2_wrap_menu_lev1">
                            <ul >
                                <?php $cntChild	=0;?>
                                <?php foreach($root->child_category1 as $catLev2){ ?>
                                    <?php
                                    $cntChild++;
                                    if ($cntChild > $options->max_item_lev1){
                                        break;
                                    }
                                    ?>
                                    <li class="theme2_menu_li_lev1">
                                        <?php if (!empty($root->child_category1) && count($catLev2->number_child_category2)>0 ){ ?>
                                            <div class="theme2_wrap_menu_lev2">
                                                <ul>
                                                    <?php foreach($catLev2->child_category2 as $catLev3){ ?>
                                                        <li class="theme2_level2_li">
                                                            <a href="<?php echo $catLev3->link; ?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> title="<?php echo $catLev3->name; ?>">
                                                                <span class="theme2_menu_lev2_bg"></span>
																<span class="theme2_menu_lev2">
																	<img src="<?php echo JURI::base().'modules/mod_sj_zoo_categories_ii/assets/images/theme2_li_level2.png';?>" class="theme2_img_li_lev2" alt="image" />
																	<span class="theme2_menu_lev2_title">
																		<?php echo ZooCategoriesIIHelper::truncate($catLev3->name, $options->title_max_chars);?>
																	</span>
																</span>
                                                            </a>
                                                        </li>
                                                    <?php } ?>
                                                </ul>
                                            </div>
                                        <?php } ?>

                                        <a href="<?php echo $catLev2->link; ?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?>>
											<span class="theme2_menu_lev1">
												<img src="<?php echo JURI::base().'modules/mod_sj_zoo_categories_ii/assets/images/theme2_li_lev1.png';?>" class="theme2_img_li_lev1" alt="image" />
												<img src="<?php echo JURI::base().'modules/mod_sj_zoo_categories_ii/assets/images/theme2_li_lev1_hover.png';?>" class="theme2_img_li_lev1_active" alt="image" />
												<span class="theme2_menu_lev1_title" >
                                                    <?php echo ZooCategoriesIIHelper::truncate($catLev2->name, $options->title_max_chars);?>
                                                </span>
											</span>
                                        </a>
                                    </li>
                                <?php } ?>
                            </ul>
                        </div>
                    <?php } ?>
                </li>
            <?php endforeach; ?>
        </ul>
    </div>
    <div class="theme2_image_categories_wrap" style="width: <?php echo ($max_image_width);?>px; height: <?php echo ($options->imgcfgcat_height);?>px;">
        <div  class="theme2_image_categories_section" style="display:block;background: url(<?php echo ZooCategoriesIIHelper::imageSrc($cat_img,$big_image_config);?>) no-repeat center center; ">
        </div>
    </div>
</div>