<?php
/**
 * @package Sj Categories II for Zoo
 * @version 1.1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

$options = $params->toObject();
$heightModule		= 40 + $options->imgcfgcat_height + 30;
$firstContent		= '';
$cat_img            = '';
?>
<div class="sj_section_wrap sj_clearfix">
	<div class="theme3_wrap sj_clearfix" id="categories_theme3_<?php echo $instance;?>" >
		<ul class="theme3_ul_root">
			<?php $intData	= 0; ?>
			<?php foreach($list as $root){ ?>
				<?php 
					$intData++;
					if ( $intData==1){
                        $cat_img = ZooCategoriesIIHelper::getCZooImage($root, $params);
                        $firstContent  =  ZooCategoriesIIHelper::truncate($root->description, (int)$params->get('item_description_max_characters'));
					}
				?>
                <?php $_img = ZooCategoriesIIHelper::getCZooImage($root, $params); ?>
				<li class="theme3_li_root" title="<?php echo JURI::base().'/'.ZooCategoriesIIHelper::imageSrc($_img, $big_image_config)."|".strip_tags( ZooCategoriesIIHelper::truncate($root->description, (int)$params->get('item_description_max_characters')));?>">
                    <a href="<?php echo $root->link;?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> title="<?php echo $root->name;?>" >
						<span class="theme3_root_title" > 
                            <?php echo ZooCategoriesIIHelper::truncate($root->name, $options->title_max_chars);?>
                        </span>
					</a>
					<?php if (!empty($root->child_category1) && $root->number_child_category1 >0 ) { ?>
						<ul class="theme3_ul_lev1">
						<?php $cntLev1	= 0;?>
						<?php foreach($root->child_category1 as $catLev2) { ?>
							<?php 
								$cntLev1++;
								if ($cntLev1>$options->max_item_lev1){
									break;
								}
							?>
							<li class="theme3_li_lev1">

								<a href="<?php echo $catLev2->link; ?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> title="<?php echo $catLev2->name;?>">
									<span class="theme3_lev1_title">
										<span class="cat2-lev1-title"><?php echo ZooCategoriesIIHelper::truncate($catLev2->name, $options->title_max_chars);?></span>
										<?php if (!empty($catLev2->child_category2) && $catLev2->number_child_category2 > 0) { ?>
												<img class="theme3_img_arrow" src="<?php echo JURI::base().'modules/mod_sj_zoo_categories_ii/assets/images/theme3_arrow.png';?>" alt="image"/>
										<?php } ?>
									</span>
								</a>
								<?php if (!empty($catLev2->child_category2) && $catLev2->number_child_category2 > 0) { ?>
									<ul class="theme3_ul_lev2">
										<?php foreach($catLev2->child_category2 as $catLev3) { ?>
											<li class="theme3_li_lev2">
												<a href="<?php echo $catLev3->link; ?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> title="<?php echo $catLev3->name;?>">
													<span class="theme3_title_lev3">
														<?php echo ZooCategoriesIIHelper::truncate($catLev3->name, $options->title_max_chars);?>
													</span>
												</a>
											</li>
										<?php } ?>
									</ul>
								<?php } ?>
							</li>
						<?php } ?>
						</ul>
					<?php } ?>
				</li>
			<?php } ?>
		</ul>
		<div class="theme3_content">
			<div class="theme3_main_image" style="width: <?php echo $options->imgcfgcat_width;?>px; height: <?php echo $options->imgcfgcat_height;?>px; background: url(<?php echo ZooCategoriesIIHelper::imageSrc($cat_img, $big_image_config) ;?>) no-repeat center center;">
            </div>
			
			<div class="theme3_content_detail" style="height: <?php echo $options->imgcfgcat_height;?>px;">
				 <?php echo $firstContent; ?>
			</div>
		</div>
	</div>
</div>
