<?php
/**
 * @package SJ Zoo Categories II
 * @version 1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2009-2011 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://smartaddons.com
 *
 */

defined('_JEXEC') or die('Restricted access');

defined('_YTOOLS') or include_once 'core' . DS . 'sjimport.php';

// set current module for working
YTools::setModule($module);

// import jQuery
if (!defined('SMART_JQUERY') && (int)$params->get('include_jquery', '1')){
	YTools::script('jquery-1.5.min.js');
	define('SMART_JQUERY', 1);
}

if (!defined('SMART_NOCONFLICT')){
	YTools::script('jsmart.noconflict.js');
	define('SMART_NOCONFLICT', 1);
}

// include jQuery plugin && css sample.
// YTools::script('jsmart.megaii-1.1.min.js');
// YTools::stylesheet('megaii.css');
// YTools::stylesheet('megaii-font-color.css');
// YTools::stylesheet('megaii-tooltip.css');

YTools::stylesheet('category.css');


include "core" . DS . 'zoocategoriesii.php';

$layout_name = $params->get('theme', 'default');
$cacheid = md5(serialize(array ($layout_name, $module->module)));
$cacheparams = new stdClass;
$cacheparams->cachemode = 'id';
$cacheparams->class = 'ZooCategoriesII';
$cacheparams->method = 'getList';
$cacheparams->methodparams = $params;
$cacheparams->modeparams = $cacheid;

$data 		= JModuleHelper::moduleCache ($module, $params, $cacheparams);
$options	= $params->toObject();
$instance	= rand().time();


$useragent = $_SERVER['HTTP_USER_AGENT'];

if ($options->theme=='theme1'){
	
	if (!defined('SMART_ZOO_CATEGORIESII_ASSETS_THEME1')){
		YTools::script('jsmart.tooltipmenu.js');
		YTools::stylesheet('theme1.css');
		define('SMART_ZOO_CATEGORIESII_ASSETS_THEME1', 1);
	}
	
	if (strpos($useragent,'MSIE 7.')>0){
		$paddingLeftRight	= 30;

		$itemWidth			= (int) (($options->module_width/$options->columns_max)-$paddingLeftRight);
		
		$script		= 
				'
				$jsmart(document).ready(function($){
					$("#category_'.$instance.' .theme1_root_list_child").tooltipMenu({
						tooltipClass 		: ".tooltip_lev1",
						subTooltipClass 	: ".tooltip_lev2",
						addMarginLeft		: '.$itemWidth.'
					});
				});
				';
	}else {
	
		$script		= 
				'
				$jsmart(document).ready(function($){
					$("#category_'.$instance.' .theme1_root_list_child").tooltipMenu({
						tooltipClass 		: ".tooltip_lev1",
						subTooltipClass 	: ".tooltip_lev2"
					});
				});
				';
	}
	

	$script		= $script.
			'
			$jsmart(document).ready(function($){
				$("#category_'.$instance.' .theme1_root_list_child").MoreClick({
					
				});
			});
			';
}

if ($options->theme=='theme2'){

	if (!defined('SMART_ZOO_CATEGORIESII_ASSETS_THEME2')){
		YTools::script('jsmart.dimensions.js');
		YTools::script('jsmart.accordion.js');
		if (strpos($useragent,'MSIE 7.')>0){
			YTools::stylesheet('theme2_IE7.css');
		}else {
			YTools::stylesheet('theme2.css');
		}
		define('SMART_ZOO_CATEGORIESII_ASSETS_THEME2', 1);
	}

	$script		= 
		'
			$jsmart(document).ready(function($){
				$("#theme2_menu_category_'.$instance.'").accordion({
					header: ".theme2_title_root",
					alwaysOpen: true,
					autoheight: false,
					event: "mouseover"
				});
			});
		';
}

if ($options->theme=='theme3'){

	if (!defined('SMART_ZOO_CATEGORIESII_ASSETS_THEME3')){
		YTools::script('jsmart.changeImage.js');
		YTools::stylesheet('theme3.css');
		define('SMART_ZOO_CATEGORIESII_ASSETS_THEME3', 1);
	}

	$script		= 
		'
			$jsmart(document).ready(function($){
				$("#categories_theme3_'.$instance.'").changeImage({});
			});
		';
}

if ($options->theme=='theme4'){

	if (!defined('SMART_ZOO_CATEGORIESII_ASSETS_THEME4')){
		if (strpos($useragent,'MSIE 7.')>0){
			YTools::stylesheet('theme4_IE7.css');
		}else{
			YTools::stylesheet('theme4.css');
		}
		define('SMART_ZOO_CATEGORIESII_ASSETS_THEME4', 1);
	}
	
	$script	= 
		'
			$jsmart(function($) {
				$(".theme4_see_all").click(function() {
					var $li		= $(this).parent().find(".theme4_tooltip_item_li");
					var $button	= $(this);
					
					$li.each(function(){
						if ($(this).attr("title")=="hide"){
							if ($(this).css("display")=="block"){
								$(this).css("display","none");
								$button.removeClass("clicked");
							}
							else{
								$(this).css("display","block");
								$button.addClass("clicked");
							}
						}
					});
				});
			});
		';
}

$doc =& JFactory::getDocument();
$doc->addScriptDeclaration( $script );


$layouts = YTools::layout('default');
if (count($layouts)){
	foreach ($layouts as $layout) {
		include $layout;
	}
}

?>