<?php
/**
 * @package Sj Categories II for Zoo
 * @version 1.1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

$options = $params->toObject();

$paddingLeftRight	= 10;
$widthLi			= 165 + $paddingLeftRight + 10;
$width_tooltip		= $options->columns_max_level2*$widthLi;
$widthItem			= (int)($options->module_width/$options->columns_max) - 20;// paddingLeftRight=20
$widthImage			= $options->imgcfgcat_width;
if ( $widthImage > $widthItem )
	$widthImage	= $widthItem;

$marginLeft			=  $widthImage +(int)(($widthItem-$widthImage)/2) -10;

?>


<div class="sj_section_wrap sj_clearfix">
	<div class="theme4_wrap sj_clearfix">
		<ul>
			<?php foreach ($list as $root){ ?>
				<li class="theme4_item_li" style="width: <?php echo $widthItem;?>px;">
					<?php if (!empty($root->child_category1) && $root->number_child_category1 > 0){ ?>
						<div class="theme4_tooltip" style="margin-left: <?php echo $marginLeft;?>px;">
							<div class="theme4_left_arrow"></div>
							<div class="theme4_tooltip_content" style="width: <?php echo $width_tooltip  ;?>px;">
								<ul class="theme4_ul_tooltip">
									<?php 
										$cntChild	= 0;
										$attr		= '';
									?>
									<?php foreach($root->child_category1 as $catLev2){ ?>
											<?php 
												$cntChild++;
												if ($cntChild > $options->columns_max_level2)
													$attr	= 'style="display: none;" title="hide"';
											?>
											<li class="theme4_tooltip_item_li" <?php echo $attr;?>>                                                
												<a href="<?php echo $catLev2->link; ?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> title="<?php echo $catLev2->name;?>">
													<span class="theme4_tooltip_item_title">
														<?php echo ZooCategoriesIIHelper::truncate($catLev2->name, $options->title_max_chars);?>
													</span>
												</a>
												<hr class="theme4_hr"/>
												<div class="theme4_tooltip_subitem">
												<?php if(!empty($catLev2->child_category2)){ ?>
													<ul>
														<?php foreach($catLev2->child_category2 as $catLev3) { ?>
															<li class="theme4_tooltip_subitem_li">
																<?php if (!empty($catLev3->child_category3) && $catLev3->number_child_category3 > 0) { ?>
																	<div class="theme4_tooltip_lev2_bg">
																		<ul>
																			<?php foreach($catLev3->child_category3 as $catLev4){ ?>
																				<li class="theme4_tooltip_lev2_li">
																					<a href="<?php echo $catLev3->link;?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> title="<?php echo $catLev4->name;?>">
																						<span class="theme4_tooltip_lev2_title">
																							<?php echo ZooCategoriesIIHelper::truncate($catLev3->name, $options->title_max_chars);?>
																						</span>
																					</a>
																				</li>
																			<?php } ?>
																		</ul>
																	</div>
																<?php } ?>
																<a href="<?php echo $catLev3->name ;?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?> title="<?php echo $catLev3->name;?>">
																	<span class="theme4_subitem_li_content">
																		<span class="theme4_title_lev2">
																			<?php echo ZooCategoriesIIHelper::truncate($catLev3->name, $options->title_max_chars);?>
																		</span>
																		<span class="theme4_total_child">
																			(<?php echo $catLev3->number_child_category3;?>)
																		</span>
																	</span>
																</a>
															</li>
														<?php } ?>
													</ul>
												<?php } ?>	
												</div>
											</li>
									<?php } ?>
								</ul>
								<?php if(isset($root->child_category1) && $root->number_child_category1 > $options->columns_max_level2){ ?>
								<div class="theme4_see_all">
									<?php $button_text = explode("/", $options->more_hide);?>
									<div class="expand" style="max-width:<?php echo $width_tooltip - 55 ;?>px;">
										<?php echo $button_text[0];?>
									</div>
									<div class="narrow"  style="max-width:<?php echo $width_tooltip - 55 ;?>px;" >
										<?php echo $button_text[1];?>
									</div>
								</div>
								<?php }?>
							</div>
						</div>
					<?php } ?>
					<div class="theme4_item">
							<div class="root-image" style="width: <?php echo $widthImage;?>px; height: <?php echo $options->imgcfgcat_height;?>px;" >
                                <?php $cat_img = ZooCategoriesIIHelper::getCZooImage($root, $params);?>
                                <a  class="theme4_item_image" style=" width: <?php echo $widthImage;?>px; height: <?php echo $options->imgcfgcat_height;?>" href="<?php echo $root->link; ?>" title="<?php echo $root->name ?>" <?php echo ZooCategoriesIIHelper::parseTarget($params->get('item_link_target')); ?> >
                                    <?php echo ZooCategoriesIIHelper::imageTag($cat_img,$big_image_config);?>
                                </a>
							</div> 
							<div class="root-title">
								<a href="<?php echo $root->link;?>" <?php echo ZooCategoriesIIHelper::parseTarget($options->item_link_target);?>>
									<span class="theme4_item_title">
										<?php echo ZooCategoriesIIHelper::truncate($root->name, $options->title_max_chars);?>
									</span>
								</a>
							</div>
					</div>
				</li>
			<?php } ?>
		</ul>
	</div>
</div>

<script type="text/javascript">
    //<![CDATA[
    jQuery(document).ready(function($){
        $("#category_<?php echo $instance;?> .theme4_see_all").click(function() {
            var $li		= $(this).parent().find(".theme4_tooltip_item_li");
            var $button	= $(this);

            $li.each(function(){
                if ($(this).attr('title')=='hide'){
                    if ($(this).css("display")=="block"){
                        $(this).css("display","none"    );
                        $button.removeClass('clicked');
                    }
                    else{
                        $(this).css("display","block");
                        $button.addClass("clicked");
                    }
                }
            });
        });
	});
    //]]>
</script>